k-yamadaのブログ

プログラミングのメモ

rake db:migrateが失敗する

■エラー

rake db:migrate --trace
WARNING: Nokogiri was built against LibXML version 2.7.8, but has dynamically loaded 2.7.3
rake aborted!
dlopen(/Users/kazuhiro/.rvm/gems/ruby-1.9.2-p290@rails3/gems/rmagick-2.13.1/lib/RMagick2.bundle, 9): Library not loaded: /opt/local/lib/libMagickCore.4.dylib
Referenced from: /Users/kazuhiro/.rvm/gems/ruby-1.9.2-p290@rails3/gems/rmagick-2.13.1/lib/RMagick2.bundle
Reason: image not found - /Users/kazuhiro/.rvm/gems/ruby-1.9.2-p290@rails3/gems/rmagick-2.13.1/lib/RMagick2.bundle

■復旧

$ sudo port install imagemagick
$ gem install rmagick
$ rake db:migrate